Start the incident's postmortem as a draft. Without a body it starts from a template prefilled with the impact window, the affected monitors and the timeline.
POST
/incident/{incident_id}/postmortem
const url = 'https://api.siteqwality.com/incident/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/postmortem';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"body":"example","owner_user_id":"2489E9AD-2EE2-8E00-8EC9-32D5F69181C0"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.siteqwality.com/incident/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/postmortem \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "body": "example", "owner_user_id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0" }'Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” incident_id
required
string format: uuid
Incident identifier
Request Body required
Section titled “Request Body required ” Media type application/json
Start a postmortem.
object
body
Markdown. Omit it to start from a template prefilled with the incident’s timeline, impact window and affected monitors.
string | null
owner_user_id
Who drives the postmortem; a member of the account.
string | null format: uuid
Example generated
{ "body": "example", "owner_user_id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0"}Responses
Section titled “ Responses ”Postmortem started as a draft
Media type application/json
object
id
required
string format: uuid
incident_id
required
string format: uuid
status
required
string
body
required
Markdown.
string
owner_user_id
string | null format: uuid
created_by_user_id
Null for API keys.
string | null format: uuid
created_at
required
string format: date-time
updated_at
required
string format: date-time
published_at
When it was last moved to published.
string | null format: date-time
Example
{ "status": "draft"}Body too long, or the owner is not a member of the account
Missing authentication
Missing incidents write scope
Incident not found
The incident already has a postmortem (data holds it), or it was merged
Invalid request body
Internal server error